%define name pngnq
%define version 1.1
%define release %mkrel 1

Summary: Tool for optimizing PNG (Portable Network Graphics) images	
Summary(de): Tool zur Optimierung von PNG (Portable Network Graphics) Bildern
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source:         %{name}-%{version}.tar.xz
URL:            http://pngnq.sourceforge.net/
Group:          Graphics
License:        OSI Approved
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  make libpng-devel
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version

%description
Pngnq is a tool for quantizing 32-bit RGBA PNG images to 8-bit RGBA pallete
PNG. It's is an adaptation by Stuart Coyle of Greg Roelf's pnqquant. While
pngquant uses a median cut algorithm, Pngnq uses Anthony Dekker's neuquant
algorithm (http://members.ozemail.com.au/~dekker/NEUQUANT.HTML), generally
resulting in better looking results than pngquant.

Optimizers (like pngcrush and optipng) optimize the compression, usually
losslessly. pngnq quantizes colors down to 256 (or fewer) distinct RGBA
combinations, which is quite lossy. Optimized PNGs are usually two to four
times smaller than the 32-bit versions.


%prep
%setup -q 

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS
%{_bindir}/pngnq
%{_bindir}/pngcomp
%{_mandir}/man1/pngnq.1.bz2

%changelog
* Sun Oct 30 2011 Texstar <texstar at gmail.com> 1.1-1pclos2011
- 1.1

* Thu Nov 05 2009 slick50 <lxgator@gmail.com> 1.0-1pclos2010
- new version 1.0

* Mon Apr 13 2009 maik3531 <maik3531@yahoo.de> 0.5-1pclos2007
- rebuild vor pclinuxos

* Tue Jul 22 2008 Dirk Stöcker <opensuse@dstoecker.de> 0.5
- created
